package com.rjconsultores.ventaboletos.dao;

import java.math.BigDecimal;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.CorridaTramo;

public interface CorridaTramoDAO extends GenericDAO<CorridaTramo, Integer> {

    public List<CorridaTramo> obtenerTramoTarjetaEmitida();

    public List<CorridaTramo> buscarTarjetaMesmaCorrida(CorridaTramo ct);

    public BigDecimal buscarSumTarjetaMesmaCorrida(CorridaTramo ct);

}
