/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.utilerias;

import com.rjconsultores.ventaboletos.entidad.Usuario;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;

/**
 *
 * @author rodrigo
 */
public class UsuarioLogado {

    private static Usuario usuario;

    public static Usuario getUsuarioLogado() {
        SecurityContext sc = SecurityContextHolder.getContext();
        if (sc != null) {
            Authentication authentication = (Authentication) SecurityContextHolder.getContext().getAuthentication();

            if (authentication instanceof Usuario) {
                usuario = (Usuario) authentication.getPrincipal();
            } else {
                usuario = null;
            }
        }

        return usuario;
    }

    public static void setUsuarioLogado(Usuario usuario) {
        SecurityContext sc = SecurityContextHolder.getContext();
        sc.setAuthentication(usuario);
    }
}
